%define	upstream_name	 Crypt-OpenSSL-RSA
%define upstream_version 0.25

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:	%{upstream_name} module for perl 
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.bz2

Requires:	openssl
Buildrequires:	perl-devel
BuildRequires:	perl-Crypt-OpenSSL-Random
Buildrequires:	openssl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}

%description
%{upstream_name} module for perl

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="%{optflags}"

%check
%{__make} test

%install
rm -rf %{buildroot} 
%makeinstall_std

%clean 
rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorarch}/auto/Crypt
%{perl_vendorarch}/Crypt
%{_mandir}/man*/*


%changelog
* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.250.0-1mdv2010.0
+ Revision: 403034
- rebuild using %%perl_convert_version

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.25-4mdv2009.1
+ Revision: 351696
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.25-3mdv2009.0
+ Revision: 223583
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.25-2mdv2008.1
+ Revision: 152038
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Jul 03 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.25-1mdv2008.0
+ Revision: 47628
- update to new version 0.25


* Fri Nov 24 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.24-1mdv2007.0
+ Revision: 86940
- new version
- Import perl-Crypt-OpenSSL-RSA

* Fri Sep 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.23-2mdv2007.0
- Rebuild

* Sun Apr 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.23-1mdk
- New release 0.23
- spec cleanup
- correct optimisations

* Wed Nov 30 2005 Oden Eriksson <oeriksson@mandriva.com> 0.22-3mdk
- rebuilt against openssl-0.9.8a

* Tue Oct 11 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.22-2mdk
- Fix buildrequires mistake

* Fri Sep 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.22-1mdk
- 0.22

* Tue Feb 08 2005 Sylvie Terjan <erinmargault@mandrake.org> 0.21-2mdk
- rebuild for new perl

* Thu Apr 22 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.21-1mdk
- 0.21

